/*
  AntiRight
  (c) 2002-2004 Jeffrey Bedard
  jefbed@e-list.net
 
  This file is part of AntiRight.

  AntiRight is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  AntiRight is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with AntiRight; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "library.h"

/* This is the cut callback for text widgets.  */
void 
antiright_cut_cb(Widget parent, 
		 XtPointer client_data, /* The text widget should be
					   passed for this
					   argument.  */
		 XtPointer call_data)
{
  (Boolean)XmTextCut(client_data, 
		     XtLastTimestampProcessed(XtDisplay((Widget)client_data)));

  /* This fixes some warnings.  */
  parent=NULL;
  call_data=(XtPointer)NULL;
}

/* This is the copy callback for text widgets.  */
void 
antiright_copy_cb(Widget parent, 
		  XtPointer client_data, /* The text widget should be
					    passed for this
					    argument.  */
		  XtPointer call_data)
{
  (Boolean)XmTextCopy((Widget)client_data, 
		      XtLastTimestampProcessed(XtDisplay((Widget)client_data)));

  /* This fixes some warnings.  */
  parent=NULL;
  call_data=(XtPointer)NULL;
}

/* This is the paste callback for text widgets.  */
void 
antiright_paste_cb(Widget parent, 
		   XtPointer client_data, /* The text widget should be
					     passed for this
					     argument.  */
		   XtPointer call_data)
{
  (Boolean)XmTextPaste((XtPointer)client_data);

  /* This fixes some warnings.  */
  parent=NULL;
  call_data=(XtPointer)NULL;
}
